%define		module		sgmllib
%define		pypi_name	sgmllib3k

Summary:	Py3k port of sgmllib
Summary(pl.UTF-8):	Port py3k biblioteki sgmllib
Name:		python3-%{module}
Version:	1.0.0
Release:	6
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sgmllib3k/
Source0:	https://files.pythonhosted/packages/source/s/sgmllib3k/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	d70efde06e40797f37e867123aa080ec
URL:		https://pypi.org/project/sgmllib3k/
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Py3k port of sgmllib.

%description -l pl.UTF-8
Port py3k biblioteki sgmllib.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/sgmllib.py
%{py3_sitescriptdir}/__pycache__/sgmllib.cpython-*.pyc
%{py3_sitescriptdir}/sgmllib3k-%{version}-py*.egg-info
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sgmllib.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8f7a8b4
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 574a820
- python 3.13 rebuild

* Sun Apr 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 102ec48
- pl, more readable files

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 847e162
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1579bed
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 284a996
- rebuild with python 3.10

* Thu Mar 11 2021 Jan Palus <atler@pld-linux.org> 9dc967c
- new

